<?php
/**
 * @author    Webarian Team
 * @copyright Copyright (c) 2020 Webarian (https://www.webariansoftwares.com/)
 * @package   Webarian_PromoPopup
 */
namespace Webarian\Workshop\Api\Data;

interface RegistrationInterface
{
	/**#@+
	 * Constants for keys of data array. Identical to the name of the getter in snake case
	 */
	const REGISTRATION_ID  = 'id';
	const NAME  = 'name';
	const EMAIL  = 'email';
	const PHONE_NUMBER  = 'phone_number';
	const ADDRESS  = 'address';
	const STATUS  = 'status';
	

	public function getRegistrationId();
	public function getUserName();
	public function getEmail();
	public function getPhoneNumber();
	public function getAddress();
	public function getStatus();

	public function setRegistrationId($registrationId);
	public function setUserName($name);
	public function setEmail($email);
	public function setPhoneNumber($phoneNumber);
	public function setAddress($address);
	public function setStatus($status);	

}